<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: Material2</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: Material2</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"></p></div></div> 




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-data">Data</h3>
<table data-jsdoc-vuejs="table-data">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Default value</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>listGenders</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de los generos</td>
    </tr><tr>
        <td><code>allFilters</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Filtros de busquedas de materiales</td>
    </tr><tr>
        <td><code>textSearch</code></td>
        <td>String</td>
        <td>-</td>
        <td>Texto que hara el filtro</td>
    </tr><tr>
        <td><code>filterSelect</code></td>
        <td>String</td>
        <td>-</td>
        <td>Tipo de filtro seleccionado</td>
    </tr><tr>
        <td><code>allMaterials</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de todos los materiales</td>
    </tr><tr>
        <td><code>searchMaterials</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Lista de materiales filtrados</td>
    </tr></tbody>
</table>



<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-computed">Computed</h3>
<table data-jsdoc-vuejs="table-computed">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>materials</code></td>
        <td>Array</td>
        <td>Lista de materiales filtrados o sin filtro</td>
    </tr></tbody>
</table>




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-event">Events</h3>
<table data-jsdoc-vuejs="table-event">
    <thead>
    <tr>
        <th>Name</th>
        <th>Payload Type</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>generos</code></td>
        <td>Array</td>
        <td>Retorna el nombre de todos los generos</td>
    </tr></tbody>
</table>


<div class="container-overview"><div><p> 
</div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="cleanSearch"><span class="type-signature"></span>cleanSearch<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se limpia los datos llenados en el buscador
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_Material2.vue.html">materials/Material2.vue</a>, <a href="materials_Material2.vue.html#line294">line 294</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="editMaterial"><span class="type-signature"></span>editMaterial<span class="signature">(event, material)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Se accede a la vista de editar el material y se trae los datos del objeto del material
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>event</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">No definido</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>material</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Objeto que trae los datos del material</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_Material2.vue.html">materials/Material2.vue</a>, <a href="materials_Material2.vue.html#line256">line 256</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="filterMaterials"><span class="type-signature"></span>filterMaterials<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Filtra la lista de materiales depediendo de que opciones se elijan
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_Material2.vue.html">materials/Material2.vue</a>, <a href="materials_Material2.vue.html#line263">line 263</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getMaterials"><span class="type-signature"></span>getMaterials<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de los materiales desde la ruta
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_Material2.vue.html">materials/Material2.vue</a>, <a href="materials_Material2.vue.html#line197">line 197</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-Material.html">Material</a></li><li><a href="module-Material2.html">Material2</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li><li><a href="module-NewMaterial2.html">NewMaterial2</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Aug 11 2021 17:08:52 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>